<div class="container-fluid" style=height:100%>
    <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 p-0">
            <mat-toolbar class="toolbar-atolye-custom">
                <span *ngIf="!loggedinUser">{{''}}</span>
                <button *ngIf="loggedinUser" mat-icon-button (click)="toggleMenu()" class="example-icon" aria-label="Example icon-button with menu icon">
                  <mat-icon>menu</mat-icon>
                </button>
                <span class="logo-span"><img class="logo-img" src="assets/images/logo.png" /></span>
                <span *ngIf="!loggedinUser">{{''}}</span>
                <span *ngIf="loggedinUser" class="example-spacer">
                    <span [matMenuTriggerFor]="profileMenu" class="profile-btn-container">
                        <button mat-icon-button aria-label="Example icon-button with a menu">
                            <mat-icon *ngIf="!loggedinUser.imageUrl" class="profile-btn-icon">account_circle</mat-icon>
                            <img *ngIf="loggedinUser.imageUrl" mat-card-image class="profile-image rounded-circle" src="{{loggedinUser.imageUrl}}" />
                        </button>
                        <span class="profile-btn-title">{{loggedinUserFName}}</span>
                    </span>
                    
                  <mat-menu #profileMenu="matMenu">
                    <!-- <button mat-menu-item>
                      <mat-icon>dialpad</mat-icon>
                      <span>Redial</span>
                    </button>
                    <button mat-menu-item disabled>
                      <mat-icon>voicemail</mat-icon>
                      <span>Check voice mail</span>
                    </button> -->
                    <button mat-menu-item (click)="logout()">
                      <mat-icon>exit_to_app</mat-icon>
                      <span>Çıkış</span>
                    </button>
                  </mat-menu></span>
                <!-- <button mat-icon-button class="example-icon favorite-icon" aria-label="Example icon-button with heart icon">
                  <mat-icon>favorite</mat-icon>
                </button>
                <button mat-icon-button class="example-icon" aria-label="Example icon-button with share icon">
                  <mat-icon>share</mat-icon>
                </button> -->
              </mat-toolbar>
        </div>
    </div>
    <div class="row" style="height: 100%;">
        <div class="col-12 p-0 pt-4">
            <mat-sidenav-container class="example-container" style="height: 100%;">
                <mat-sidenav *ngIf="showMenu && loggedinUser" mode="side" opened class="side-nav-atolye-custom"> <!-- opened -->
                    <div class="container-fluid">
                        <div class="row pb-2 menu-item-row">
                            <div class="col-12 p-0">
                                <a href="javascript:;" [ngClass]="{'menu-item-title': true, 'menu-item-active': activeItem === 'home'}"
                                    (click)="menuItemClicked('home')">
                                <fa-icon [icon]="homeIcon" class="menu-item-icon"></fa-icon>Ana Sayfa
                                </a>
                            </div>
                        </div>
                        <div *ngIf="loggedinUser && loggedinUser.type && loggedinUser.type === 1" class="row pb-2 menu-item-row">
                            <div class="col-12 p-0">
                                <a href="javascript:;" [ngClass]="{'menu-item-title': true, 'menu-item-active': activeItem === 'users'}"
                                    (click)="menuItemClicked('users')">
                                <fa-icon [icon]="usersIcon" class="menu-item-icon"></fa-icon>Kullanıcılar
                                </a>
                            </div>
                        </div>
                        <div class="row pb-2 menu-item-row">
                            <div class="col-12 p-0">
                                <a href="javascript:;" [ngClass]="{'menu-item-title': true, 'menu-item-active': activeItem === 'posts'}"
                                    (click)="menuItemClicked('posts')">
                                <fa-icon [icon]="postsIcon" class="menu-item-icon"></fa-icon>Duvar
                                </a>
                            </div>
                        </div>
                        <div class="row pb-2 menu-item-row">
                            <div class="col-12 p-0">
                                <a href="javascript:;" [ngClass]="{'menu-item-title': true, 'menu-item-active': activeItem === 'favorites'}"
                                    (click)="menuItemClicked('favorites')">
                                <fa-icon [icon]="favirotesIcon" class="menu-item-icon"></fa-icon>Favoriler
                                </a>
                            </div>
                        </div>
                    </div>

                </mat-sidenav>
                <mat-sidenav-content class="router-outlet" [ngClass]="{'login-sc-cont':!loggedinUser, 'body-cont':loggedinUser}">                
                    <router-outlet></router-outlet>                
                </mat-sidenav-content>
            </mat-sidenav-container>
        </div>
    </div>
</div>